---
title: FileSystemEntry.getMetadata()
slug: Web/API/FileSystemEntry/getMetadata
tags:
  - API
  - File System API
  - File and Directory Entries API
  - FileSystemEntry
  - Files
  - Method
  - Non-standard
  - Reference
  - getMetadata
---
<p>{{APIRef("File System API")}}{{Obsolete_header}}}</p>

<p><span class="seoSummary">The {{domxref("FileSystemEntry")}} interface's method <code><strong>getMetadata</strong></code><strong><code>()</code></strong> obtains a {{domxref("Metadata")}} object with information about the file system entry, such as its modification date and time and its size.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>FileSystemEntry</em>.getMetadata(<em>successCallback</em>[, <em>errorCallback</em>]);</pre>

<h3 class="syntaxbox" id="Parameters">Parameters</h3>

<dl>
 <dt><code>successCallback</code></dt>
 <dd>A function which is called when the copy operation is succesfully completed. Receives a single input parameter: a {{domxref("Metadata")}} object with information about the file.</dd>
 <dt><code>errorCallback</code> {{optional_inline}}</dt>
 <dd>An optional callback which is executed if an error occurs while looking up the metadata. There's a single parameter: a {{domxref("FileError")}} describing what went wrong.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h3 id="Errors">Errors</h3>

<dl>
 <dt><code>FileError.NOT_FOUND_ERR</code></dt>
 <dd>The {{domxref("FileSystemEntry")}} refers to an item which doesn't exist.</dd>
 <dt><code>FileError.SECURITY_ERR</code></dt>
 <dd>Security restrictions prohibit obtaining the requested metadata.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example checks the size of a log file in a temporary folder and, if it exceeds a megabyte, moves it into a different directory.</p>

<pre class="brush: js">workingDirectory.getFile("tmp/log.txt", {}, function(fileEntry) {
  fileEntry.getMetadata(function(metadata) {
    if (metadata.size &gt; 1048576) {
      workingDirectory.getDirectory("log", {}, function(dirEntry) {
        fileEntry.moveTo(dirEntry);
      }, handleError);
    }
  });
}, handleError);</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemEntry.getMetadata")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
</ul>
